Package org.apache.catalina.storeconfig

## Class SenderSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.SenderSF

All Implemented Interfaces:
  `IStoreFactory`

    public class SenderSF
    extends StoreFactoryBase

Generate Sender Element

### Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

### Constructor Summary

Constructors
`SenderSF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `storeChildren​(java.io.PrintWriter aWriter, int indent, java.lang.Object aSender, StoreDescription parentDesc)` Store the specified Sender child.

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SenderSF

    public SenderSF()

### Method Detail

#### storeChildren

    public void storeChildren​(java.io.PrintWriter aWriter,
                              int indent,
                              java.lang.Object aSender,
                              StoreDescription parentDesc)
                       throws java.lang.Exception

Store the specified Sender child.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - PrintWriter to which we are storing
  `indent` - Number of spaces to indent this element
  `aSender` - Channel whose properties are being stored
  `parentDesc` - The element description
Throws:
  `java.lang.Exception` - if an exception occurs while storing